Name:           cfv
Version:        1.18.3
Release:        6%{?dist}
Summary:        A utility to test and create data verification files

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://cfv.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz       
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python

%description
cfv is a utility to both test and create .sfv, .csv, .crc, .md5(sfv-like), 
md5sum, bsd md5, sha1sum, and .torrent files. These files are commonly used to 
ensure the correct retrieval or storage of data. It also has test-only support 
for PAR and PAR2 files 

The bittorent package must be separately installed for .torrent support.

%prep
%setup -q


%build
#CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
#%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
install -d -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install -p cfv	$RPM_BUILD_ROOT%{_bindir}
install -p cfv.1	$RPM_BUILD_ROOT%{_mandir}/man1

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog COPYING README
%{_bindir}/cfv
%{_mandir}/man1/cfv.1.gz


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Feb 11 2010 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 1.18.3-2
- Drop "Requires:" for bittorrent (bz #564046)

* Sun Sep 20 2009 Manuel Wolfshant <wolfy@fedoraproject.org> - 1.18.3-1
- new upstream version, fixing md5 and sha module deprecation warnings.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 02 2008 Manuel Wolfshant <wolfy@fedoraproject.org> - 1.18.2-2
- replace "dl" with "downloads" in %%Source0
- rectify date of the previous changelog

* Tue Jul 1 2008 Manuel Wolfshant <wolfy@fedoraproject.org> - 1.18.2-1
- release bump

* Wed Aug 22 2007 Manuel Wolfshant <wolfy@nobugconsulting.ro> - 1.18.1-4.1
- rebuilt

* Fri Aug 10 2007 Manuel Wolfshant <wolfy@nobugconsulting.ro> - 1.18.1-4
- license clarification

* Thu Jul 19 2007 Manuel Wolfshant <wolfy@nobugconsulting.ro> - 1.18.1-3
- Preserve timestamps

* Thu Aug 31 2006 Aaron Kurz <a.kurtz@hardsun.net> - 1.18.1-2
- Rebuild for Fedora Core 6

* Sun Feb 19 2006 Aaron Kurtz <a.kurtz@hardsun.net> - 1.18.1-1
- Initial Fedora Extras release
